<?php

namespace Drupal\component_builder\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\inline_entity_form\Form\EntityInlineForm;

/**
 * Defines the inline form for order items.
 */
class ComponentItemInlineForm extends EntityInlineForm {

  /**
   * {@inheritdoc}
   */
  public function entityForm(array $entity_form, FormStateInterface $form_state) {
    $entity_form = parent::entityForm($entity_form, $form_state);
    if ($entity_form['admin_title']) {
      $entity_form['admin_title']['#attributes']['style'][] = "display:none";
    }
    return $entity_form;
  }

  /**
   * {@inheritdoc}
   */
  public function entityFormSubmit(array &$entity_form, FormStateInterface $form_state) {
    if ($entity_form['#bundle']) {
      $title = $form_state->getValue(array_merge($entity_form['#parents'], [
        'title',
        '0',
        'value',
      ]));
      if (empty($title)) {
        $title = 'Untitled';
      }
      $component_name = ucwords(str_replace('_', ' ', $entity_form['#bundle']));
      $component_name .= " Item: $title";
    }
    else {
      $component_name = 'Untitled';
    }
    $form_state->setValue(array_merge($entity_form['#parents'], ['admin_title']), [0 => ['value' => $component_name]]);
    parent::entityFormSubmit($entity_form, $form_state);
  }
}
